from setuptools import setup, find_packages

with open('docs/ALTERNATIVE_README.md', 'r', encoding='utf-8') as fh:
    long_description = fh.read()

setup(
    name='utilsds',
    version='0.3.2',
    packages=find_packages(),
    install_requires=[
        'aiohttp==3.9.5',
        'aiohttp-retry==2.8.3',
        'aiosignal==1.3.1',
        'amqp==5.2.0',
        'annotated-types==0.6.0',
        'antlr4-python3-runtime==4.9.3',
        'appdirs==1.4.4',
        'appnope==0.1.4',
        'asttokens==2.4.1',
        'asyncssh==2.14.2',
        'atpublic==4.1.0',
        'attrs==23.2.0',
        'billiard==4.2.0',
        'boto==2.49.0',
        'cachetools==5.3.3',
        'celery==5.4.0',
        'certifi==2024.2.2',
        'cffi==1.16.0',
        'charset-normalizer==3.3.2',
        'click==8.1.7',
        'click-didyoumean==0.3.1',
        'click-plugins==1.1.1',
        'click-repl==0.3.0',
        'cloudpickle==3.0.0',
        'colorama==0.4.6',
        'comm==0.2.2',
        'configobj==5.0.8',
        'contourpy==1.2.1',
        'cryptography==42.0.7',
        'cycler==0.12.1',
        'db-dtypes==1.2.0',
        'debugpy==1.8.1',
        'decorator==5.1.1',
        'dictdiffer==0.9.0',
        'diskcache==5.6.3',
        'distro==1.9.0',
        'docstring_parser==0.16',
        'dpath==2.1.6',
        'ds_utils==0.4.1',
        'dulwich==0.22.1',
        'dvc==3.50.2',
        'dvc-data==3.15.1',
        'dvc-gs==3.0.1',
        'dvc-http==2.32.0',
        'dvc-objects==5.1.0',
        'dvc-render==1.0.2',
        'dvc-studio-client==0.20.0',
        'dvc-task==0.4.0',
        'entrypoints==0.4',
        'executing==2.0.1',
        'filelock==3.14.0',
        'flatten-dict==0.4.2',
        'flufl.lock==7.1.1',
        'fonttools==4.51.0',
        'frozenlist==1.4.1',
        'fsspec==2024.5.0',
        'funcy==2.0',
        'future==1.0.0',
        'gcsfs==2024.5.0',
        'gitdb==4.0.11',
        'GitPython==3.1.43',
        'google-api-core==2.19.0',
        'google-auth==2.29.0',
        'google-auth-oauthlib==1.2.0',
        'google-cloud-aiplatform==1.51.0',
        'google-cloud-bigquery==3.22.0',
        'google-cloud-core==2.4.1',
        'google-cloud-resource-manager==1.12.3',
        'google-cloud-storage==2.16.0',
        'google-crc32c==1.5.0',
        'google-resumable-media==2.7.0',
        'googleapis-common-protos==1.63.0',
        'grandalf==0.8',
        'grpc-google-iam-v1==0.13.0',
        'grpcio==1.63.0',
        'grpcio-status==1.62.2',
        'gto==1.7.1',
        'hydra-core==1.3.2',
        'hyperopt==0.2.7',
        'idna==3.7',
        'imbalanced-learn==0.12.2',
        'ipykernel==6.29.4',
        'ipython==8.24.0',
        'iterative-telemetry==0.0.8',
        'jedi==0.19.1',
        'joblib==1.4.2',
        'jupyter_client==8.6.1',
        'jupyter_core==5.7.2',
        'kiwisolver==1.4.5',
        'kombu==5.3.7',
        'markdown-it-py==3.0.0',
        'matplotlib==3.9.0',
        'matplotlib-inline==0.1.7',
        'mdurl==0.1.2',
        'multidict==6.0.5',
        'nest-asyncio==1.6.0',
        'networkx==3.3',
        'numpy==1.26.4',
        'oauthlib==3.2.2',
        'omegaconf==2.3.0',
        'orjson==3.10.3',
        'packaging==24.0',
        'pandas==2.2.2',
        'parso==0.8.4',
        'pathspec==0.12.1',
        'pexpect==4.9.0',
        'phik==0.12.4',
        'pillow==10.3.0',
        'platformdirs==3.11.0',
        'prompt-toolkit==3.0.43',
        'proto-plus==1.23.0',
        'protobuf==4.25.3',
        'psutil==5.9.8',
        'ptyprocess==0.7.0',
        'pure-eval==0.2.2',
        'py4j==0.10.9.7',
        'pyarrow==16.1.0',
        'pyasn1==0.6.0',
        'pyasn1_modules==0.4.0',
        'pycparser==2.22',
        'pydantic==2.7.1',
        'pydantic_core==2.18.2',
        'pydot==2.0.0',
        'pygit2==1.14.1',
        'Pygments==2.18.0',
        'pygtrie==2.5.0',
        'pyparsing==3.1.2',
        'python-dateutil==2.9.0.post0',
        'pytz==2024.1',
        'PyYAML==6.0.1',
        'pyzmq==26.0.3',
        'requests==2.31.0',
        'requests-oauthlib==2.0.0',
        'rich==13.7.1',
        'rsa==4.9',
        'ruamel.yaml==0.18.6',
        'ruamel.yaml.clib==0.2.8',
        'scikit-learn==1.4.2',
        'scipy==1.13.0',
        'scmrepo==3.3.3',
        'seaborn==0.13.2',
        'semver==3.0.2',
        'shapely==2.0.4',
        'shellingham==1.5.4',
        'shortuuid==1.0.13',
        'shtab==1.7.1',
        'six==1.16.0',
        'smmap==5.0.1',
        'sqltrie==0.11.0',
        'stack-data==0.6.3',
        'tabulate==0.9.0',
        'threadpoolctl==3.5.0',
        'tomlkit==0.12.5',
        'tornado==6.4',
        'tqdm==4.66.4',
        'traitlets==5.14.3',
        'typer==0.12.3',
        'typing_extensions==4.11.0',
        'tzdata==2024.1',
        'urllib3==2.2.1',
        'vine==5.1.0',
        'voluptuous==0.14.2',
        'wcwidth==0.2.13',
        'yarl==1.9.4',
        'yellowbrick==1.5',
        'zc.lockfile==3.0.post1',
    ],
    author='DS Team',
    author_email='ds@sts.pl',
    description='Solution for DS Team',
    long_description=long_description,
    long_description_content_type='text/markdown',
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.11',
)
